Package org.eclipse.jdt.core

# Interface IClasspathAttributeDelta

public interface IClasspathAttributeDelta
A delta which describes changes in `IClasspathAttribute` of a classpath between two discrete points in time. Given a delta, clients can access the name of the affected attribute as well as the current value of the attribute.

Deltas have a different status depending on the kind of change they represent. The list below summarizes each status (as returned by `getKind()`) and its meaning (see individual constants for a more detailed description):

- `ADDED` - The attribute has been added.
- `REMOVED` - The attribute has been removed.
- `CHANGED` - The value of the attribute has been changed.

Since:
  3.33

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ADDED`
Status constant indicating that the attribute has been added.
`static final int`
`CHANGED`
Status constant indicating that the attribute has been changed.
`static final int`
`REMOVED`
Status constant indicating that the attribute has been removed.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttributeName()`
Returns the name of the affected attribute.
`String`
`getAttributeValue()`
Returns the current value of the affected attribute.
`int`
`getKind()`
Returns the kind of this delta - one of `ADDED`, `REMOVED`, or `CHANGED`.

## Field Details

### ADDED

static final int ADDED
Status constant indicating that the attribute has been added.

See Also:
  - `getKind()`
  - Constant Field Values

### REMOVED

static final int REMOVED
Status constant indicating that the attribute has been removed.

See Also:
  - `getKind()`
  - Constant Field Values

### CHANGED

static final int CHANGED
Status constant indicating that the attribute has been changed.

See Also:
  - `getKind()`
  - Constant Field Values

## Method Details

### getKind

int getKind()
Returns the kind of this delta - one of `ADDED`, `REMOVED`, or `CHANGED`.

Returns:
  the kind of this delta

### getAttributeName

String getAttributeName()
Returns the name of the affected attribute.

Returns:
  the name of the attribute

### getAttributeValue

String getAttributeValue()
Returns the current value of the affected attribute.

Returns:
  the value of the attribute